package de.ivu.elect.business.gebietsbaum.entity;

import java.util.Collections;
import java.util.List;
import java.util.Map;

public class GebietsgruppierungStatusResult {

  public static final GebietsgruppierungStatusResult EMPTY = new GebietsgruppierungStatusResult(Collections.emptyMap(), Collections.emptyList(), Collections.emptyMap());

  private final Map<String, Long> anzahlErfassungsgebieteProName;

  private final List<Gebiet> gebieteOhneGruppierung;

  private final Map<Gebiet, List<Gebietsgruppierung>> gebieteMehrfach;

  public GebietsgruppierungStatusResult(Map<String, Long> anzahlErfassungsgebieteProName, List<Gebiet> gebieteOhneGruppierung, Map<Gebiet, List<Gebietsgruppierung>> gebieteMehrfach) {
    this.anzahlErfassungsgebieteProName = anzahlErfassungsgebieteProName;
    this.gebieteOhneGruppierung = gebieteOhneGruppierung;
    this.gebieteMehrfach = gebieteMehrfach;
  }

  public Map<String, Long> getAnzahlErfassungsgebieteProName() {
    return anzahlErfassungsgebieteProName;
  }

  public List<Gebiet> getGebieteOhneGruppierung() {
    return gebieteOhneGruppierung;
  }

  public Map<Gebiet, List<Gebietsgruppierung>> getGebieteMehrfach() {
    return gebieteMehrfach;
  }

  public boolean isEmpty() {
    return anzahlErfassungsgebieteProName.isEmpty() && gebieteOhneGruppierung.isEmpty();
  }
}
